// nova-werun/pages/home/step/index.js
const Parse = getApp().Parse;
const company = getApp().globalData.company;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        //屏幕高度
        statusBarHeight: 0, // 状态栏高度
        screenHeight: 0, // 屏幕高度
        customHeight: 0, // 自定义导航栏高度（如小程序右上角胶囊按钮）
        bottomNavHeight: 0, // 底部导航栏高度
        contentHeight: 0, // 可用内容高度
        navheight: 0,
        radio: '5000',
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const systemInfo = wx.getSystemInfoSync();
        const statusBarHeight = systemInfo.statusBarHeight || 0;
        const screenHeight = systemInfo.screenHeight || 0;
        const custom = wx.getMenuButtonBoundingClientRect();
        const customHeight = custom.height + 10 + 2 || 0;
        const bottomNavHeight = systemInfo.screenHeight - systemInfo.safeArea.bottom || 0;
        const navheight = (statusBarHeight + customHeight) * 750 / systemInfo.windowWidth;
        const contentHeight = (screenHeight - bottomNavHeight - statusBarHeight - customHeight) * 750 / systemInfo.windowWidth;
        this.setData({
            statusBarHeight,
            screenHeight,
            customHeight,
            bottomNavHeight,
            contentHeight,
            navheight
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    //点击返回
    goback() {
        // if(!this.data.saveimage){
        //     let pages = getCurrentPages(); //页面对象
        //     console.log(pages);
        //     let prevpage = pages[pages.length - 2]; //上一个页面对象
        //     console.log(prevpage);
        //     await prevpage.updateCom()
        // }
        wx.navigateBack({
            delta: 1
        });
    },
    onChange(event) {
        this.setData({
            radio: event.detail,
        });
        console.log(this.data.radio);
    },
    async submit() {
        const currentUser2 = Parse.User.current();
        let userquery2 = new Parse.Query('_User');
        userquery2.equalTo('company', company);
        userquery2.equalTo('objectId', currentUser2.id);
        userquery2.notEqualTo('isDeleted', true)
        let user2 = await userquery2.first();
        user2.set('num', Number(this.data.radio))
        try {
            let saveDate2 = await user2.save();
            console.log(saveDate2);
            let pages = getCurrentPages(); //页面对象
            console.log(pages);
            let prevpage = pages[pages.length - 2]; //上一个页面对象
            console.log(prevpage);
            await prevpage.updateCom2()
            wx.navigateBack({
                delta: 1
            });
            console.log("目标步数更改成功");
        } catch (error) {
            console.error("保存数据时出现错误:", error);
        }
    }
})